GNU bug report logs - #38958
Timestamp out of range; substituting 2514-05-30 01:53:03.999999999

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Roel Janssen <roel@HIDDEN>; Keywords: moreinfo; merged with #42148; dated Sun, 5 Jan 2020 20:46:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38958 <at> debbugs.gnu.org:


Received: (at 38958) by debbugs.gnu.org; 3 Sep 2020 19:43:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 03 15:43:19 2020
Received: from localhost ([127.0.0.1]:36252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDv8g-0002NF-RL
	for submit <at> debbugs.gnu.org; Thu, 03 Sep 2020 15:43:19 -0400
Received: from world.peace.net ([64.112.178.59]:52834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kDv8f-0002N0-Ps
 for 38958 <at> debbugs.gnu.org; Thu, 03 Sep 2020 15:43:18 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kDv8Z-0006Sx-Ux; Thu, 03 Sep 2020 15:43:12 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 38958 <at> debbugs.gnu.org
Subject: Re: bug#38958: Timestamp out of range; substituting 2514-05-30
 01:53:03.999999999
In-Reply-To: <87lfhr1bra.fsf@HIDDEN>
References: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
 <87lfhr1bra.fsf@HIDDEN>
Date: Thu, 03 Sep 2020 15:42:02 -0400
Message-ID: <87y2lq3avu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38958
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> The GNU=C2=A0make warnings come from this impenetrable function:
>
> --8<---------------cut here---------------start------------->8---
> FILE_TIMESTAMP
> file_timestamp_cons (const char *fname, time_t stamp, long int ns)
> {
>   int offset =3D ORDINARY_MTIME_MIN + (FILE_TIMESTAMP_HI_RES ? ns : 0);
>   FILE_TIMESTAMP s =3D stamp;
>   FILE_TIMESTAMP product =3D (FILE_TIMESTAMP) s << FILE_TIMESTAMP_LO_BITS;
>   FILE_TIMESTAMP ts =3D product + offset;
>
>   if (! (s <=3D FILE_TIMESTAMP_S (ORDINARY_MTIME_MAX)
>          && product <=3D ts && ts <=3D ORDINARY_MTIME_MAX))
>     {
>       char buf[FILE_TIMESTAMP_PRINT_LEN_BOUND + 1];
>       const char *f =3D fname ? fname : _("Current time");
>       ts =3D s <=3D OLD_MTIME ? ORDINARY_MTIME_MIN : ORDINARY_MTIME_MAX;
>       file_timestamp_sprintf (buf, ts);
>       OSS (error, NILF,
>            _("%s: Timestamp out of range; substituting %s"), f, buf);
>     }
>
>   return ts;
> }
> --8<---------------cut here---------------end--------------->8---
>
> What=E2=80=99s OLD_MTIME?
>
> --8<---------------cut here---------------start------------->8---
> /* The file does not exist, and we assume that it is older than any
>    actual file.  */
> #define OLD_MTIME 2
>
> /* The smallest and largest ordinary timestamps.  */
> #define ORDINARY_MTIME_MIN (OLD_MTIME + 1)
> --8<---------------cut here---------------end--------------->8---
>
> That would mean that any file with mtime < 3 is considered bogus, but
> then, why wouldn=E2=80=99t things fail on other machines as well?

I spent a bit of time looking at the relevant code in GNU Make.  The
special MTIME values of 0, 1, and 2 seem to apply only to GNU Make's
*internal* representation of the timestamp.  'file_timestamp_cons',
which converts a standard POSIX time to the internal representation,
seems to properly handle times near the POSIX epoch by adding
ORDINARY_MTIME_MIN (via 'offset') to the POSIX time, after multiplying
it by 2^30 (if FILE_TIMESTAMP_HI_RES is enabled).

> I=E2=80=99m looking for ideas!  :-)

Note that the date printed in the warning (ORDINARY_MTIME_MAX),
represented as a POSIX time (seconds past the epoch), is precisely 2^34
seconds minus one nanosecond.

The problem doesn't seem to be that 'stamp' is too small, because if it
were, then the following line in 'file_timestamp_cons',

    ts =3D s <=3D OLD_MTIME ? ORDINARY_MTIME_MIN : ORDINARY_MTIME_MAX;

would substitute ORDINARY_MTIME_MIN, which is close to the POSIX epoch,
and the warning message would print a time near 1970, instead of one
near 2514 (ORDINARY_MTIME_MAX).

Rather, it appears that the 'stamp' passed into 'file_timestamp_cons'
was close to or larger than 2^34, which is approximately the largest
timestamp that GNU make supports when FILE_TIMESTAMP is 64 bits and
FILE_TIMESTAMP_HI_RES is enabled.

My guess is that maybe our near-zero timestamps are somewhere being
adjusted downwards by a timezone conversion, using an unsigned integer
type, causing them to wrap around to near the maximum value of that
type.

Note that although 'stamp' usually comes from a file 'mtime' as returned
by stat(2), it can also come from an 'ar' archive member.  In
make-4.3/src/remake.c, 'f_mtime' includes the following code:

--8<---------------cut here---------------start------------->8---
      member_date =3D ar_member_date (file->hname);
      mtime =3D (member_date =3D=3D (time_t) -1
               ? NONEXISTENT_MTIME
               : file_timestamp_cons (file->hname, member_date, 0));
--8<---------------cut here---------------end--------------->8---

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.
Merged 38958 42148. Request was from Mathieu Othacehe <mathieu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38958 <at> debbugs.gnu.org:


Received: (at 38958) by debbugs.gnu.org; 3 Sep 2020 08:54:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 03 04:54:32 2020
Received: from localhost ([127.0.0.1]:33443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDl0q-0004i6-3C
	for submit <at> debbugs.gnu.org; Thu, 03 Sep 2020 04:54:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kDl0n-0004hs-5M
 for 38958 <at> debbugs.gnu.org; Thu, 03 Sep 2020 04:54:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33813)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1kDl0h-0004Pv-Rx
 for 38958 <at> debbugs.gnu.org; Thu, 03 Sep 2020 04:54:23 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=40408 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1kDl0g-0001NU-W9
 for 38958 <at> debbugs.gnu.org; Thu, 03 Sep 2020 04:54:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 38958 <at> debbugs.gnu.org
Subject: Re: bug#38958: Timestamp out of range;
 substituting 2514-05-30 01:53:03.999999999
References: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
Date: Thu, 03 Sep 2020 10:54:17 +0200
In-Reply-To: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN> (Roel
 Janssen's message of "Sun, 05 Jan 2020 21:45:01 +0100")
Message-ID: <87lfhr1bra.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38958
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Roel Janssen <roel@HIDDEN> skribis:

> I encounter a problem when running "make" for some code base:
> make[3]: /gnu/store/5hkc9q38w6afhrf7xyz5ybxidr87d1mq-profile/include/sysl=
og.h:
> Timestamp out of range; substituting 2514-05-30 01:53:03.999999999

This issue manifests itself in build environments as well; I=E2=80=99ve see=
n it
on berlin while running =E2=80=9Cguix build guix --no-offload=E2=80=9D:

--8<---------------cut here---------------start------------->8---
mv "doc/contributing.fr.texi.tmp" "doc/contributing.fr.texi"
  PO4A doc/contributing.zh_CN.texi
mv "doc/contributing.ru.texi.tmp" "doc/contributing.ru.texi"
make: guix/store/schema.sql: Timestamp out of range; substituting 2514-05-3=
0 01:53:03.999999999
make: Warning: File 'guix/store/schema.sql' has modification time 155807475=
86 s in the future
  PO4A doc/guix-cookbook.de.texi
[=E2=80=A6]
test ! -f guix.po || { \
  if test -f ./guix.pot; then \
    sed -f remove-potcdate.sed < ./guix.pot > guix.1po && \
    sed -f remove-potcdate.sed < guix.po > guix.2po && \
    if cmp guix.1po guix.2po >/dev/null 2>&1; then \
      rm -f guix.1po guix.2po guix.po; \
    else \
      rm -f guix.1po guix.2po ./guix.pot && \
      mv guix.po ./guix.pot; \
    fi; \
  else \
    mv guix.po ./guix.pot; \
  fi; \
}
make[3]: warning:  Clock skew detected.  Your build may be incomplete.
make[3]: Leaving directory '/tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/sou=
rce/po/guix'
[=E2=80=A6]
make[2]: guix/base16.scm: Timestamp out of range; substituting 2514-05-30 0=
1:53:03.999999999
make[2]: Warning: File 'guix/base16.scm' has modification time 15580748038 =
s in the future
make[2]: guix/base32.scm: Timestamp out of range; substituting 2514-05-30 0=
1:53:03.999999999
[=E2=80=A6]
make[2]: guix/search-paths.scm: Timestamp out of range; substituting 2514-0=
5-30 01:53:03.999999999
make[2]: guix/import/gnu.scm: Timestamp out of range; substituting 2514-05-=
30 01:53:03.999999999
make[2]: guix/import/snix.scm: Timestamp out of range; substituting 2514-05=
-30 01:53:03.999999999
make[2]: guix/scripts/perform-download.scm: Timestamp out of range; substit=
uting 2514-05-30 01:53:03.999999999
make[2]: guix/scripts/authenticate.scm: Timestamp out of range; substitutin=
g 2514-05-30 01:53:03.999999999
make[2]: guix/scripts/import/gnu.scm: Timestamp out of range; substituting =
2514-05-30 01:53:03.999999999
make[2]: guix/scripts/import/nix.scm: Timestamp out of range; substituting =
2514-05-30 01:53:03.999999999
make[2]: guix/scripts/import/texlive.scm: Timestamp out of range; substitut=
ing 2514-05-30 01:53:03.999999999
make[2]: guix/scripts/container.scm: Timestamp out of range; substituting 2=
514-05-30 01:53:03.999999999
make[2]: guix.scm: Timestamp out of range; substituting 2514-05-30 01:53:03=
.999999999
--8<---------------cut here---------------end--------------->8---

The files in question have mtime =3D Epoch + 1 as expected:

--8<---------------cut here---------------start------------->8---
$ stat /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/base16.scm=20
  File: /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/base16.scm
  Size: 3251            Blocks: 8          IO Block: 4096   regular file
Device: 801h/2049d      Inode: 10880988    Links: 1
Access: (0444/-r--r--r--)  Uid: (30001/guixbuilder01)   Gid: (30000/guixbui=
ld)
Access: 2020-09-03 10:18:35.594069572 +0200
Modify: 1970-01-01 00:00:01.000000000 +0100
Change: 2020-09-03 10:18:27.670122206 +0200
 Birth: 2020-09-03 10:18:27.670122206 +0200
$ stat /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/base32.scm=20
  File: /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/base32.scm
  Size: 13325           Blocks: 32         IO Block: 4096   regular file
Device: 801h/2049d      Inode: 10881034    Links: 1
Access: (0444/-r--r--r--)  Uid: (30001/guixbuilder01)   Gid: (30000/guixbui=
ld)
Access: 2020-09-03 10:18:35.594069572 +0200
Modify: 1970-01-01 00:00:01.000000000 +0100
Change: 2020-09-03 10:18:27.674122179 +0200
 Birth: 2020-09-03 10:18:27.674122179 +0200
$ stat /gnu/store/0br13w7y2wdfby74wnq7m7yzbx27hm1s-guix-1.1.0-25.44c6e6f-ch=
eckout/guix/base{16,32}.scm
  File: /gnu/store/0br13w7y2wdfby74wnq7m7yzbx27hm1s-guix-1.1.0-25.44c6e6f-c=
heckout/guix/base16.scm
  Size: 3251            Blocks: 8          IO Block: 4096   regular file
Device: 811h/2065d      Inode: 344654478   Links: 10338
Access: (0444/-r--r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2020-09-03 09:36:43.818923620 +0200
Modify: 1970-01-01 00:00:01.000000000 +0100
Change: 2020-09-03 09:29:05.830024528 +0200
 Birth: 2018-06-25 22:37:25.560482991 +0200
  File: /gnu/store/0br13w7y2wdfby74wnq7m7yzbx27hm1s-guix-1.1.0-25.44c6e6f-c=
heckout/guix/base32.scm
  Size: 13325           Blocks: 32         IO Block: 4096   regular file
Device: 811h/2065d      Inode: 344654504   Links: 9327
Access: (0444/-r--r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2020-09-03 09:36:43.822923593 +0200
Modify: 1970-01-01 00:00:01.000000000 +0100
Change: 2020-09-03 09:29:07.054016225 +0200
 Birth: 2018-06-25 22:37:25.682483782 +0200
--8<---------------cut here---------------end--------------->8---

In the output of =E2=80=98make=E2=80=99 above, guix/import/gnu.scm is liste=
d, but not
guix/import/pypi.scm for instance.  What=E2=80=99s the difference?

--8<---------------cut here---------------start------------->8---
$ stat /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/import/{gnu,=
pypi}.scm
  File: /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/import/gnu.=
scm
  Size: 4714            Blocks: 16         IO Block: 4096   regular file
Device: 801h/2049d      Inode: 10881084    Links: 1
Access: (0444/-r--r--r--)  Uid: (30001/guixbuilder01)   Gid: (30000/guixbui=
ld)
Access: 2020-09-03 10:26:30.745348482 +0200
Modify: 1970-01-01 00:00:01.000000000 +0100
Change: 2020-09-03 10:26:23.029400312 +0200
 Birth: 2020-09-03 10:26:23.029400312 +0200
  File: /tmp/guix-build-guix-1.1.0-25.44c6e6f.drv-0/source/guix/import/pypi=
.scm
  Size: 23270           Blocks: 48         IO Block: 4096   regular file
Device: 801h/2049d      Inode: 10881093    Links: 1
Access: (0444/-r--r--r--)  Uid: (30001/guixbuilder01)   Gid: (30000/guixbui=
ld)
Access: 2020-09-03 10:26:30.745348482 +0200
Modify: 1970-01-01 01:00:01.000000000 +0100
Change: 2020-09-03 10:26:23.029400312 +0200
 Birth: 2020-09-03 10:26:23.029400312 +0200
--8<---------------cut here---------------end--------------->8---

Nothing obvious.

After checking the clock was fine, I turned off ntpd to be sure and
spawned another build, but the result was the same.

This is happening on berlin with a recent kernel:

--8<---------------cut here---------------start------------->8---
$ uname -rm
5.4.55-gnu x86_64
--8<---------------cut here---------------end--------------->8---

The GNU=C2=A0make warnings come from this impenetrable function:

--8<---------------cut here---------------start------------->8---
FILE_TIMESTAMP
file_timestamp_cons (const char *fname, time_t stamp, long int ns)
{
  int offset =3D ORDINARY_MTIME_MIN + (FILE_TIMESTAMP_HI_RES ? ns : 0);
  FILE_TIMESTAMP s =3D stamp;
  FILE_TIMESTAMP product =3D (FILE_TIMESTAMP) s << FILE_TIMESTAMP_LO_BITS;
  FILE_TIMESTAMP ts =3D product + offset;

  if (! (s <=3D FILE_TIMESTAMP_S (ORDINARY_MTIME_MAX)
         && product <=3D ts && ts <=3D ORDINARY_MTIME_MAX))
    {
      char buf[FILE_TIMESTAMP_PRINT_LEN_BOUND + 1];
      const char *f =3D fname ? fname : _("Current time");
      ts =3D s <=3D OLD_MTIME ? ORDINARY_MTIME_MIN : ORDINARY_MTIME_MAX;
      file_timestamp_sprintf (buf, ts);
      OSS (error, NILF,
           _("%s: Timestamp out of range; substituting %s"), f, buf);
    }

  return ts;
}
--8<---------------cut here---------------end--------------->8---

What=E2=80=99s OLD_MTIME?

--8<---------------cut here---------------start------------->8---
/* The file does not exist, and we assume that it is older than any
   actual file.  */
#define OLD_MTIME 2

/* The smallest and largest ordinary timestamps.  */
#define ORDINARY_MTIME_MIN (OLD_MTIME + 1)
--8<---------------cut here---------------end--------------->8---

That would mean that any file with mtime < 3 is considered bogus, but
then, why wouldn=E2=80=99t things fail on other machines as well?

I=E2=80=99m looking for ideas!  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.

Message received at 38958 <at> debbugs.gnu.org:


Received: (at 38958) by debbugs.gnu.org; 27 Mar 2020 11:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 07:54:15 2020
Received: from localhost ([127.0.0.1]:60560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHnZ0-0007o0-VO
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 07:54:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jHnYz-0007no-Bw
 for 38958 <at> debbugs.gnu.org; Fri, 27 Mar 2020 07:54:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36375)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jHnYu-0002Tz-4y
 for 38958 <at> debbugs.gnu.org; Fri, 27 Mar 2020 07:54:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39694 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jHnYt-0003l6-9z; Fri, 27 Mar 2020 07:54:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Roel Janssen <roel@HIDDEN>
Subject: Re: bug#38958: Timestamp out of range;
 substituting 2514-05-30 01:53:03.999999999
References: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
 <87o8vdd2zq.fsf@HIDDEN>
 <8aab63ee4ca678aab40be28edbc6f3178d1c8acb.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 8 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 27 Mar 2020 12:54:06 +0100
In-Reply-To: <8aab63ee4ca678aab40be28edbc6f3178d1c8acb.camel@HIDDEN> (Roel
 Janssen's message of "Fri, 27 Mar 2020 10:26:21 +0100")
Message-ID: <87v9mq57z5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38958
Cc: 38958 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Roel Janssen <roel@HIDDEN> skribis:

> On Wed, 2020-01-08 at 22:58 +0100, Ludovic Court=C3=A8s wrote:
>> Hi Roel,
>>=20
>> Roel Janssen <roel@HIDDEN> skribis:
>>=20
>> > When inside a container produced with:
>> > $ guix environment -CN --ad-hoc ...
>> >=20
>> > I encounter a problem when running "make" for some code base:
>> > make[3]: /gnu/store/5hkc9q38w6afhrf7xyz5ybxidr87d1mq-
>> > profile/include/syslog.h:
>> > Timestamp out of range; substituting 2514-05-30 01:53:03.999999999
>>=20
>> Fun.  :-)  What does =E2=80=9Cuname -rm=E2=80=9D return?
>>=20
>> What the value of the =E2=80=98TZ=E2=80=99 environment variable?
>>=20
>> Can it be easily reproduced?
>>=20
>> Thanks,
>> Ludo=E2=80=99.
>>=20
>
> Sorry for the long delay.  This issue had somehow resolved itself.
>
> But now the issue resurfaced for me when building an older version of QtS=
vg
> (5.9.4).  The 'TZ' environment variable is empty, and the output of "unam=
e -rm"
> is:
> 5.5.10-200.fc31.x86_64 x86_64

Previously you mentioned the problem was in =E2=80=98guix environment -C=E2=
=80=99, but
now you say it happens while running =E2=80=98guix build qtsvg=E2=80=99, ri=
ght?

Is there a simple way to reproduce it?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.

Message received at 38958 <at> debbugs.gnu.org:


Received: (at 38958) by debbugs.gnu.org; 27 Mar 2020 09:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 05:26:34 2020
Received: from localhost ([127.0.0.1]:60528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHlG6-0001t6-Af
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 05:26:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roel@HIDDEN>) id 1jHlG4-0001st-0r
 for 38958 <at> debbugs.gnu.org; Fri, 27 Mar 2020 05:26:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55064)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <roel@HIDDEN>)
 id 1jHlFy-0000Yt-FI; Fri, 27 Mar 2020 05:26:26 -0400
Received: from
 2001-1c02-0b03-a700-f532-4553-7f2a-9b68.cable.dynamic.v6.ziggo.nl
 ([2001:1c02:b03:a700:f532:4553:7f2a:9b68]:50738)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <roel@HIDDEN>)
 id 1jHlFx-0001C8-HA; Fri, 27 Mar 2020 05:26:26 -0400
Message-ID: <8aab63ee4ca678aab40be28edbc6f3178d1c8acb.camel@HIDDEN>
Subject: Re: bug#38958: Timestamp out of range; substituting 2514-05-30
 01:53:03.999999999
From: Roel Janssen <roel@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Fri, 27 Mar 2020 10:26:21 +0100
In-Reply-To: <87o8vdd2zq.fsf@HIDDEN>
References: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
 <87o8vdd2zq.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.4 (3.34.4-1.fc31) 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38958
Cc: 38958 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 2020-01-08 at 22:58 +0100, Ludovic Courtès wrote:
> Hi Roel,
> 
> Roel Janssen <roel@HIDDEN> skribis:
> 
> > When inside a container produced with:
> > $ guix environment -CN --ad-hoc ...
> > 
> > I encounter a problem when running "make" for some code base:
> > make[3]: /gnu/store/5hkc9q38w6afhrf7xyz5ybxidr87d1mq-
> > profile/include/syslog.h:
> > Timestamp out of range; substituting 2514-05-30 01:53:03.999999999
> 
> Fun.  :-)  What does “uname -rm” return?
> 
> What the value of the ‘TZ’ environment variable?
> 
> Can it be easily reproduced?
> 
> Thanks,
> Ludo’.
> 

Sorry for the long delay.  This issue had somehow resolved itself.

But now the issue resurfaced for me when building an older version of QtSvg
(5.9.4).  The 'TZ' environment variable is empty, and the output of "uname -rm"
is:
5.5.10-200.fc31.x86_64 x86_64

The package recipe is somewhat involved (it's part of a build for RStudio), but
if you'd like I can attach it here.

Kind regards,
Roel Janssen






Information forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38958 <at> debbugs.gnu.org:


Received: (at 38958) by debbugs.gnu.org; 8 Jan 2020 21:58:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 16:58:59 2020
Received: from localhost ([127.0.0.1]:51425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipJLu-0003Aa-QA
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:58:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ipJLt-0003AO-Kg
 for 38958 <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:58:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45903)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ipJLo-000830-EP
 for 38958 <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:58:52 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51020 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ipJLm-0005PD-Qc; Wed, 08 Jan 2020 16:58:51 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Roel Janssen <roel@HIDDEN>
Subject: Re: bug#38958: Timestamp out of range;
 substituting 2514-05-30 01:53:03.999999999
References: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 =?utf-8?Q?Niv=C3=B4se?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 08 Jan 2020 22:58:49 +0100
In-Reply-To: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN> (Roel
 Janssen's message of "Sun, 05 Jan 2020 21:45:01 +0100")
Message-ID: <87o8vdd2zq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38958
Cc: 38958 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Roel,

Roel Janssen <roel@HIDDEN> skribis:

> When inside a container produced with:
> $ guix environment -CN --ad-hoc ...
>
> I encounter a problem when running "make" for some code base:
> make[3]: /gnu/store/5hkc9q38w6afhrf7xyz5ybxidr87d1mq-profile/include/sysl=
og.h:
> Timestamp out of range; substituting 2514-05-30 01:53:03.999999999

Fun.  :-)  What does =E2=80=9Cuname -rm=E2=80=9D return?

What the value of the =E2=80=98TZ=E2=80=99 environment variable?

Can it be easily reproduced?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jan 2020 20:45:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 15:45:10 2020
Received: from localhost ([127.0.0.1]:44719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioClq-0007q5-Gj
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 15:45:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:55618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roel@HIDDEN>) id 1ioClo-0007pt-QG
 for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 15:45:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56617)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <roel@HIDDEN>) id 1ioCln-00068i-L3
 for bug-guix@HIDDEN; Sun, 05 Jan 2020 15:45:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42548)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <roel@HIDDEN>)
 id 1ioCln-0007qC-GR
 for bug-guix@HIDDEN; Sun, 05 Jan 2020 15:45:07 -0500
Received: from
 2001-1c02-0b03-a700-f532-4553-7f2a-9b68.cable.dynamic.v6.ziggo.nl
 ([2001:1c02:b03:a700:f532:4553:7f2a:9b68]:42098)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <roel@HIDDEN>) id 1ioCll-000412-5c
 for bug-guix@HIDDEN; Sun, 05 Jan 2020 15:45:06 -0500
Message-ID: <d2d7f1ef9036caa9134d29b0227c895511866ec3.camel@HIDDEN>
Subject: Timestamp out of range; substituting 2514-05-30 01:53:03.999999999
From: Roel Janssen <roel@HIDDEN>
To: bug-guix@HIDDEN
Date: Sun, 05 Jan 2020 21:45:01 +0100
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 (3.34.2-1.fc31) 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dear Guix,

When inside a container produced with:
$ guix environment -CN --ad-hoc ...

I encounter a problem when running "make" for some code base:
make[3]: /gnu/store/5hkc9q38w6afhrf7xyz5ybxidr87d1mq-profile/include/syslog.h:
Timestamp out of range; substituting 2514-05-30 01:53:03.999999999

This causes subsequent invocations of "make" to (re)compile more than needed.

What can I do about it?

Kind regards,
Roel Janssen






Acknowledgement sent to Roel Janssen <roel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38958; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 16 Sep 2020 20:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.